# Gimp.Image.prototype.insert_path

    function insert_path(path: Gimp.Path, parent: Gimp.Path, position: Number(gint)): Boolean {
        // Gjs wrapper for gimp_image_insert_path()
    }

Add the specified path to the image.

This procedure adds the specified path to the image at the given position. Since path groups are not currently supported, the parent argument must always be 0. The position argument specifies the location of the path inside the stack, starting from the top (0) and increasing. If the position is specified as -1, then the path is inserted above the active path.

path

  The path.

parent

  The parent path.

position

  The path position.

Returns

  TRUE on success.